Skip to main content
Employee / Payments

Auto-post payments

This method requires the EmployeePayments:Create permission to be associated with your role.

POST
/sp/payments/auto-post-payments
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
timezonestringquerydefault:UTC

Payments will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/x-www-form-urlencoded
bank_account_idstring

(Optional) Bank Account Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
common_dayenum<string>

(Optional) Common day

Available options: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, eom
dated_to_methodenum<string>required
Available options: run-date, common-day, run-date-plus
deliveryenum<string>required

Delivery

Available options: email, post
run_date_offsetinteger

(Optional) Run date offset

Required range: 1 <= x <= 31

Response

application/vnd.catch-e-api.v1+json

Success

control_totalnumber
dated_to_datestring
exceptionsobject
processed_contractsstring[]